//Random Movement Script
//Direction Variables
var North = COMMAND_MOVE_NORTH;
var South = COMMAND_MOVE_SOUTH;
var East  = COMMAND_MOVE_EAST;
var West  = COMMAND_MOVE_WEST;
var Wait = COMMAND_WAIT;
//------------------
//Get random number methods
function Equilikely(a, b)
{
    return a + Math.floor((1 + b - a)*Math.random());
}
function Uniform(a, b)
{
    return a + Math.floor((b - a)*Math.random());
}
function Exponential(target)//random number that is avarage of target
{
    return Math.floor(-target * Math.log(1 - Math.random()));
}
//Find Face
function FindFace(command)
{
    switch(command) {
        case COMMAND_MOVE_NORTH: return COMMAND_FACE_NORTH;
        case COMMAND_MOVE_SOUTH: return COMMAND_FACE_SOUTH;
        case COMMAND_MOVE_EAST: return COMMAND_FACE_EAST;
        case COMMAND_MOVE_WEST: return COMMAND_FACE_WEST;
    }
    return null;
}
//Move
function Move(Name, Tiles, Direction) {
  if (Direction == Wait) QueuePersonCommand(Name,Wait,false);
  if (Direction == North) QueuePersonCommand(Name,North,false);
  if (Direction == South) QueuePersonCommand(Name,South,false); 
  if (Direction == East ) QueuePersonCommand(Name,East, false); 
  if (Direction == West ) QueuePersonCommand(Name,West, false);

  var face = FindFace(Direction);
  if (face != null) QueuePersonCommand(Name, face, true);
 
  SetPersonFrame(Name, 0); 
  SetPersonSpeed(Name,0.5);
  for (var j = 0; j < Tiles; ++j) {
  for (var i = 0; i < 32; ++i)  {//32 >> 16 for Animating and 16 for Movement   
  QueuePersonCommand(Name,COMMAND_ANIMATE,true);
  QueuePersonCommand(Name, Direction, false);}
    }
}
//Randomize Movement
function MoveRandom(name) {

    var direct  = Equilikely(0, 4);
    var tiles   = Equilikely(1, 4);
    var w_tiles = Equilikely(2, 9);

    if (direct == 0) {Move(name, tiles, Wait);}
    if (direct == 1) {Move(name, tiles, North); Move(name, w_tiles, Wait); }
    if (direct == 2) {Move(name, tiles, South); Move(name, w_tiles, Wait); }
    if (direct == 3) {Move(name, tiles, East); Move(name, w_tiles, Wait); }
    if (direct == 4) {Move(name, tiles, West); Move(name, w_tiles, Wait); }
  }
 //--------------------
 
 //Other NPC functions
 function FacePlayer(){
var player_direction = GetPersonDirection(player);
                switch (player_direction) {
                case "north": return "south" ; break;
                case "east" : return "west" ; break;
                case "south": return "north" ; break;
                case "west" : return "east" ; break;
                }
}



